package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumCouponSendType {

    // 1：主动领取 2：定向投放
    ACTIVE(1,"主动领取"),
    PASSIVE(2, "定向投放")
    ;

    public static EnumCouponSendType getEnum(Integer code) {
        for (EnumCouponSendType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumCouponSendType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
